org.apache.pdfbox.pdfparser

## Class PDFXRefStream

- java.lang.Object
- - org.apache.pdfbox.pdfparser.PDFXRefStream

    public class PDFXRefStream
    extends Object

Author:
  Alexander Funk

### Constructor Summary

Constructors
Constructor and Description
`PDFXRefStream(COSDocument cosDocument)` Create a fresh XRef stream like for a fresh file or an incremental update.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addEntry(XReferenceEntry entry)` Add an new entry to the XRef stream.
`void` `addTrailerInfo(COSDictionary trailerDict)` Copy all Trailer Information to this file.
`COSStream` `getStream()` Returns the stream of the XRef.
`void` `setSize(long streamSize)` Set the size of the XRef stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFXRefStream

    public PDFXRefStream(COSDocument cosDocument)

Create a fresh XRef stream like for a fresh file or an incremental update.

Parameters:
  `cosDocument` - the COSDocument to be used to create a new COSStream

### Method Detail

#### getStream

    public COSStream getStream()
                        throws IOException

Returns the stream of the XRef.

Returns:
  the XRef stream
Throws:
  `IOException` - if something went wrong

#### addTrailerInfo

    public void addTrailerInfo(COSDictionary trailerDict)

Copy all Trailer Information to this file.

Parameters:
  `trailerDict` - dictionary to be added as trailer info

#### addEntry

    public void addEntry(XReferenceEntry entry)

Add an new entry to the XRef stream.

Parameters:
  `entry` - new entry to be added

#### setSize

    public void setSize(long streamSize)

Set the size of the XRef stream.

Parameters:
  `streamSize` - size to bet set as stream size